microsoft-foundry.rest.security.o-auth2-auth
Indexes
Get a version
GET
/indexes/{name}/versions/{version}
Get the specific version of the Index. The service returns 404 Not Found error if the Index does not exist.
クエリ パラメーター
api-version
string
必須
The API version to use for this operation.
パス パラメーター
name
string
必須
The name of the resource
version
string
必須
The specific version id of the Index to retrieve.
応答
The request has succeeded.
本文
Content-Type: application/json
次のいずれか:
AzureSearch
AzureAISearchIndex
Azure AI Search Index Definition
type
enum
必須
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndex
Managed Azure AI Search Index Definition
type
enum
必須
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndex
CosmosDB Vector Store Index Definition
type
enum
必須
Type of index
CosmosDBNoSqlVectorStore
要求
GET /indexes/{name}/versions/{version} HTTP/1.1
回答
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json